### Function

# AppStream Metadata file_guess_style

since: 0.14.0

#### Declaration [src]

    AsFormatStyle
    as_metadata_file_guess_style (
      const gchar* filename
    )

#### Description [src]

Guesses the AppStream metadata style (metainfo or catalog) based on the filename.

Available since: 0.14.0

#### Parameters

`filename`

  Type: `const gchar*`

  A file name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsFormatStyle`

An `AsFormatStyle`, e.g. `AS_FORMAT_STYLE_METAINFO`.